### Method

# Camel StoreSearchIndex add

since: 3.58

#### Declaration [src]

    void
    camel_store_search_index_add (
      CamelStoreSearchIndex* self,
      CamelStore* store,
      guint32 folder_id,
      const gchar* uid
    )

#### Description [src]

Adds a message identified by the `store`, `folder_id` and `uid` into the index `self`. It can be asked whether the `self` contains the message with camel_store_search_index_contains(). Note the `store` is not referenced, it’s compared pointer-wise. See `camel_store_search_index_contains()` for more information.

Available since: 3.58

#### Parameters

`store`

  Type: `CamelStore`

  A `CamelStore`.

  The data is owned by the caller of the method.

`folder_id`

  Type: `guint32`

  A folder ID, other than zero.

`uid`

  Type: `const gchar*`

  A message UID.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.